﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls;
using Telerik.WinControls.UI;

namespace _1515783GridHeight
{
    public partial class RadForm1 : Telerik.WinControls.UI.RadForm
    {
        public RadForm1()
        {
            InitializeComponent();

            this.radGridView1.Columns.Add("Id");
            for (int i = 0; i < 10; i++)
            {
                this.radGridView1.Rows.Add(i);
            }
        }

        protected override void OnShown(EventArgs e)
        {
            base.OnShown(e);
        }

        private void RadForm1_Load(object sender, EventArgs e)
        {
            int totalGridHeight = this.radGridView1.Rows.Count * this.radGridView1.TableElement.RowHeight;
            if (this.radGridView1.AllowAddNewRow)
            {
                totalGridHeight += this.radGridView1.TableElement.RowHeight;
            }
            if (this.radGridView1.ShowColumnHeaders)
            {
                totalGridHeight += this.radGridView1.TableElement.TableHeaderHeight ;
            }
            if (this.radGridView1.ShowGroupPanel)
            {
                totalGridHeight += this.radGridView1.GridViewElement.GroupPanelElement.Size.Height;
            }
            this.Text = totalGridHeight + "";
        }

        Random rand = new Random();
        private void radButton1_Click(object sender, EventArgs e)
        {
            this.radGridView1.Rows.Clear();
            int rowCount = rand.Next(1, 30);

            this.radGridView1.BeginUpdate();
            for (int i = 0; i < rowCount; i++)
            {
                this.radGridView1.Rows.Add(i);
            }
            this.radGridView1.EndUpdate();
        }
    }
}